Bug 169893 - Hangs on startup
Hangs on startup
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2005-10-04 16:17 EDT by Sigge Kotliar
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-04 11:24:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sigge Kotliar 2005-10-04 16:17:48 EDT
For a while now, nautilus has been hanging on startup, not rendering a desktop
or even a background. 

It may or may not be related to the latest update to gtk2, cause it's about that
time the bug started appearing.
Everything else works fine, panels and all.

I got a backtrace, hope it's good enough.
My system is a fully uptodate FC4 system, as of Oct 4 2005, 

[sigge@c213-89-51-50 ~]$ rpm -q gtk2 nautilus

#0  0x006ba402 in ?? ()
#1  0x00e551ae in __lll_mutex_lock_wait () from /lib/libc.so.6
#2  0x00de6238 in _L_mutex_lock_1192 () from /lib/libc.so.6
#3  0xbfd9b098 in ?? ()
#4  0x0000000d in ?? ()
#5  0x00d9b142 in __gconv_transform_ucs2reverse_internal () from /lib/libc.so.6
#6  0x00de3c01 in malloc () from /lib/libc.so.6
#7  0x00de8615 in strdup () from /lib/libc.so.6
#8  0x0030a61c in _gnome_vfs_xdg_hash_append_glob ()
   from /usr/lib/libgnomevfs-2.so.0
#9  0x0030a866 in _gnome_vfs_xdg_glob_read_from_file ()
   from /usr/lib/libgnomevfs-2.so.0
#10 0x00309df0 in _gnome_vfs_xdg_get_mime_type_for_file ()
   from /usr/lib/libgnomevfs-2.so.0
#11 0x003095f4 in _gnome_vfs_xdg_remove_callback ()
   from /usr/lib/libgnomevfs-2.so.0
#12 0x003097a3 in _gnome_vfs_xdg_remove_callback ()
   from /usr/lib/libgnomevfs-2.so.0
#13 0x003099b3 in _gnome_vfs_xdg_mime_type_equal ()
   from /usr/lib/libgnomevfs-2.so.0
#14 0x002f2ff7 in gnome_vfs_mime_type_is_equal ()
   from /usr/lib/libgnomevfs-2.so.0
#15 0x002f305f in gnome_vfs_mime_type_get_equivalence ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/libgnomevfs-2.so.0
#16 0x06ca9af4 in nautilus_file_is_mime_type (file=0x957c040,
    mime_type=0x6ceb4f8 "application/x-desktop") at nautilus-file.c:4866
#17 0x06ca9b67 in nautilus_file_is_nautilus_link (file=0xfffffffc)
    at nautilus-file.c:5148
#18 0x06c91570 in lacks_link_info (file=0x957c040)
    at nautilus-directory-async.c:1755
#19 0x06c8fa96 in is_needy (file=0x957c040, check_missing=Variable
"check_missing" is not available.
    at nautilus-directory-async.c:2207
#20 0x06c90044 in file_needs_high_priority_work_done (directory=Variable
"directory" is not available.
    at nautilus-directory-async.c:3570
#21 0x06c905cd in nautilus_directory_async_state_changed (directory=0x9575518)
    at nautilus-directory-async.c:3329
#22 0x06c92308 in get_info_callback (handle=0x5, results=0x94282a8,
    callback_data=0xfffffffc) at nautilus-directory-async.c:2816
#23 0x002ecfc6 in _gnome_vfs_job_go () from /usr/lib/libgnomevfs-2.so.0
#24 0x00aae730 in g_child_watch_add () from /usr/lib/libglib-2.0.so.0
#25 0x00aac4ce in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#26 0x00aaf4d6 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#27 0x00aaf7c3 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#28 0x07646a46 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#29 0x08078238 in main (argc=15355892, argv=0xbfd9ba04) at nautilus-main.c:432
Comment 1 Sigge Kotliar 2005-10-04 16:18:40 EDT
I forgot to add this detail: it only hangs once per bootup, if you log out of
gnome and relogin, it works fine. It also restarts fine if you killall it.
Comment 2 Alexander Larsson 2006-09-04 11:24:11 EDT
Oh, this is the old missing mime locking bug. It has been fixed in by now.

Note You need to log in before you can comment on or make changes to this bug.